dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

dnl acinclude.m4
dnl
dnl autoconf macro to search for an installed contributed R package
dnl
AC_DEFUN(R_FIND_LIB,[
  AC_CACHE_CHECK([for R library $1],
  r_library_$1,[
if test -z "${R_HOME}" ; then
 R_HOME=`R RHOME`
fi

if test -z "${R_HOME}" ; then
  echo "Cannot find the R distribution!"
  exit 1 
fi

dnl identify PATH where the library is installed (multiple paths possible!)
dnl (one  gets eaten by autoconf, thats why the triple brackets below!)
cat >conftest.R <<EOT
paste.libs<-function(){
  out<-"PKG_LIBPATH_$1="
  outp<-""
  numfound<-0
  for (i in system.file("libs", pkg="$1")){
    p<-""
    if(nchar(i)!=0){
      pc<-strsplit(i,"/")[[[1]]]
        if(length(pc)>2){
        for (j in pc[[1:(length(pc)-2)]])
          if(nchar(j)>0) p<-paste(p,j,sep="/")
        numfound<-numfound+1
        if(nchar(outp)>0)
          outp<-paste(outp,p,sep=":")
        else
          outp<-p
      }
    }
  }
  out<-paste(out,outp,sep="")
  cat(paste(out,"\n","export PKG_LIBPATH_$1\nPKG_NUM=",
      as.character(numfound),"\n","export PKG_NUM\n",sep=""), file="./$1Libs")
}
paste.libs()
EOT

echo "source(\"conftest.R\")" | ${R_HOME}/bin/R --vanilla >/dev/null
rm -f conftest.R

eval "`cat ./$1Libs`"
rm -f ./$1Libs

if test -z "${PKG_LIBPATH_$1}" ; then
 echo "Cannot find the $1 library for R." 
 echo "Please install it, or set the environment R_LIBS so that it can be"
 echo "found in an R session."
 exit 1;
else
 echo "package found"
fi

if test "${PKG_NUM}" -gt 1; then
  echo "WARNING: Package $1 found more then once!"
fi

dnl choose the first component from the list PKG_LIBPATH_$1 which contains
dnl a dynamic or static package library in its ./lib subdirectory 
PKG_R_LIB_$1_found=false
for i in `echo ${PKG_LIBPATH_$1}| sed -e 's/:/ /g'`; do
dnl should use something like SHLIBEXT instead of .so:
  if test -f ${i}/lib/lib$1.so; then
    echo "found lib$1.so at: ${i}/lib"
    PKG_LIBPATH="${PKG_LIBPATH} -L${i}/lib"
    PKG_R_LIBS="${PKG_R_LIBS} -l$1"
    PKG_R_LIB_$1_found=true
    break
  else
    if test -f ${i}/lib/lib$1.a; then
      echo "found lib$1.a at: ${i}/lib"
      PKG_LIBPATH="${PKG_LIBPATH} -L${i}/lib"
      PKG_R_LIBS="${PKG_R_LIBS} -l$1"
      PKG_R_LIB_$1_found=true
      break
    fi
  fi
done
if test ! $PKG_R_LIB_$1_found; then
  echo "Neither dynamic nor static library for $1 found."
  echo "You may need to reinstall $1 with --create-lib-so or --create-lib-a"
  echo "as options to R INSTALL"
  exit 1
fi
AC_SUBST(PKG_LIBPATH)
AC_SUBST(PKG_R_LIBS)
    ]
  )
])

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

